package com.cusc.nirvana.user.rnr.mg.controller;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.util.crypt.CryptKeyUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;
import java.util.Map;

@Slf4j
@RestController
@RequestMapping("/crypt")
public class CryptController {


    @PostMapping("/encrypt")
    public Response encrypt() {
        Map<String, String> ret = new HashMap<>();
        //if (CuscStringUtils.isNotEmpty(bean.getPhone())) {
        //    ret.put("phone", CryptKeyUtil.encryptToByte(bean.getPhone()));
        //}
        //
        //if (CuscStringUtils.isNotEmpty(bean.getFullName())) {
        //    ret.put("fullName", CryptKeyUtil.encryptToByte(bean.getFullName()));
        //}
        //
        //if (CuscStringUtils.isNotEmpty(bean.getCertId())) {
        //    ret.put("certId", CryptKeyUtil.encryptToByte(bean.getCertId()));
        //}
        //
        //if (CuscStringUtils.isNotEmpty(bean.getEmail())) {
        //    ret.put("email", CryptKeyUtil.encryptToByte(bean.getEmail()));
        //}
        //
        //if (CuscStringUtils.isNotEmpty(bean.getAddress())) {
        //    ret.put("address", CryptKeyUtil.encryptToByte(bean.getAddress()));
        //}

        return Response.createSuccess(ret);
    }

    @PostMapping("/decrypt")
    public Response decrypt() {
        Map<String, String> ret = new HashMap<>();
        //if (CuscStringUtils.isNotEmpty(bean.getPhone())) {
        //    ret.put("phone", CryptKeyUtil.decryptByByte(bean.getPhone()));
        //}
        //
        //if (CuscStringUtils.isNotEmpty(bean.getFullName())) {
        //    ret.put("fullName", CryptKeyUtil.decryptByByte(bean.getFullName()));
        //}
        //
        //if (CuscStringUtils.isNotEmpty(bean.getCertId())) {
        //    ret.put("certId", CryptKeyUtil.decryptByByte(bean.getCertId()));
        //}
        //
        //if (CuscStringUtils.isNotEmpty(bean.getEmail())) {
        //    ret.put("email", CryptKeyUtil.decryptByByte(bean.getEmail()));
        //}
        //
        //if (CuscStringUtils.isNotEmpty(bean.getAddress())) {
        //    ret.put("address", CryptKeyUtil.decryptByByte(bean.getAddress()));
        //}
        return Response.createSuccess(ret);
    }
    @GetMapping("/encryptValue/{key}")
    public String encryptValue(@PathVariable("key")String key) {
        return CryptKeyUtil.encryptToBase64(key);
    }
    @GetMapping("/decryptValue/{key}")
    public String decryptValue(@PathVariable("key")String key) {
        return CryptKeyUtil.decryptByBase64(key);
    }


}
