package com.cusc.nirvana.user.rnr.mg.converter;

import com.cusc.nirvana.user.rnr.mg.dao.entity.RnrNoticeTemplateConfigPO;
import com.cusc.nirvana.user.rnr.mg.dto.RnrNoticeTemplateConfigDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 消息模板配置(RnrNoticeTemplateConfig)表服务接口
 *
 * @author yuy336
 * @since 2022-06-01 11:07:09
 */
@Mapper
public interface RnrNoticeTemplateConfigConverter {

    RnrNoticeTemplateConfigConverter INSTANCE = Mappers.getMapper(RnrNoticeTemplateConfigConverter.class);

    /**
     * Description: do 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    RnrNoticeTemplateConfigDTO poToDto(RnrNoticeTemplateConfigPO bean);

    /**
     * Description: dto 转 do
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    RnrNoticeTemplateConfigPO dtoToPo(RnrNoticeTemplateConfigDTO bean);

    /**
     * Description: do list 转 dto list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<RnrNoticeTemplateConfigDTO> poListToDtoList(List<RnrNoticeTemplateConfigPO> list);
}
