package com.cusc.nirvana.user.rnr.mg.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cusc.nirvana.user.rnr.mg.dao.entity.MgRnrLiaisonInfoPO;

import java.util.List;

/**
 * 实名联系人信息表(MgRnrLiaisonInfo)表数据库访问层
 *
 * @author yuy336
 * @since 2022-03-03 19:59:05
 */
public interface MgRnrLiaisonInfoDao extends BaseMapper<MgRnrLiaisonInfoPO> {

    /**
     * Description: 批量新增联系人信息
     * <br />
     * CreateDate 2022-03-04 11:27:51
     *
     * @author yuyi
     **/
    Integer addRnrLiaisonBatch(List<MgRnrLiaisonInfoPO> beanList);

}

