package com.cusc.nirvana.user.rnr.mg.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cusc.nirvana.user.rnr.mg.dao.entity.RnrOrderOperationLogPO;

import java.util.List;

/**
 * 实名工单操作日志(MgRnrOrderOperationLog)表数据库访问层
 *
 * @author yuy336
 * @since 2022-03-04 10:07:53
 */
public interface RnrOrderOperationLogDao extends BaseMapper<RnrOrderOperationLogPO> {

    /**
     * 批量新增工单日志数据
     *
     * @param orderOptLogList 实例对象
     * @return 实例对象
     */
    Integer insertBatchOrderOperationLog(List<RnrOrderOperationLogPO> orderOptLogList);
}

