package com.cusc.nirvana.user.rnr.mg.dao.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.common.po.BaseRnrPO;
import lombok.Data;

import java.util.Date;

/**
 * 工单审核人员信息(MgOrderApproverPO)
 *
 * @author makejava
 * @since 2022-03-31 15:45:42
 */
@TableName("mg_rnr_order_approver")
@Data
public class MgOrderApproverPO extends BaseRnrPO {
    private static final long serialVersionUID = -34676333057038329L;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 租户编号
     */
    private String tenantNo;
    /**
     * 姓名
     */
    private String fullName;
    /**
     * 用户分组
     */
    private String groupName;
    /**
     * 是否停止接单（0-否，1-是）
     */
    private Integer stopAcceptOrder;
    /**
     * 逻辑删除（0-未删除，1-已删除）
     */
    private Integer isDelete;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 创建人
     */
    private String creator;
    /**
     * 最后一次操作人
     */
    private String operator;



}

