package com.cusc.nirvana.user.rnr.mg.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.common.po.BaseRnrPO;
import lombok.Data;

/**
 * (MgRnrTask)实体类
 *
 * @author makejava
 * @since 2022-09-24 11:26:02
 */
@TableName("mg_rnr_task")
@Data
public class MgRnrTaskPO extends BaseRnrPO {

    private static final long serialVersionUID = 743674146074038412L;

    @TableField("uuid")
    private String uuid;
    /**
     * 业务code
     */    
    @TableField("biz_code")
    private String bizCode;
    
    /**
     * 业务key
     */    
    @TableField("biz_key")
    private String bizKey;
    
    /**
     * 内容
     */    
    @TableField("biz_content")
    private String bizContent;
    
    /**
     * 状态 0:待处理 1:处理成功 2:处理失败
     */    
    @TableField("biz_status")
    private Integer bizStatus;


}

