package com.cusc.nirvana.user.rnr.mg.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.common.po.BaseRnrPO;
import lombok.Data;

@TableName("org_sim_rel")
@Data
public class OrgSimRelPO extends BaseRnrPO {

    /**业务uuid*/
    @TableField("uuid")
    private String uuid;

    /**组织uuid*/
    @TableField("org_uuid")
    private String orgUuid;

    /**SIM卡的iccid*/
    @TableField("iccid")
    private String iccid;

    /**VIN码*/
    @TableField("vin")
    private String vin;

    /**imsi码*/
    @TableField("imsi")
    private String imsi;

    /**msisdn码*/
    @TableField("msisdn")
    private String msisdn;

    /**ip地址*/
    @TableField("ip")
    private String ip;

    /**绑定状态*/
    @TableField("bind_status")
    private Integer bindStatus;

    /**sim卡运营服务商*/
    @TableField("service_provider")
    private String serviceProvider;

    /**品牌编码*/
    @TableField("brand")
    private String brand;

    /**品牌名称*/
    @TableField("brand_name")
    private String brandName;

    /**车型编码*/
    @TableField("vehicle_model")
    private String vehicleModel;

    /**车型名称*/
    @TableField("vehicle_model_name")
    private String vehicleModelName;

    /**车系编码*/
    @TableField("vehicle_series")
    private String vehicleSeries;

    /**车系名称*/
    @TableField("vehicle_series_name")
    private String vehicleSeriesName;

    /**sim卡安装位置*/
    @TableField("install_location")
    private String installLocation;

    /**出厂年份*/
    @TableField("years")
    private Integer years;

    /**业务标签*/
    @TableField("tag_uuid")
    private String tagUuid;

    /**是否允许车主自己实名*/
    @TableField("real_by_self")
    private Boolean realBySelf;

    /**车企名录*/
    @TableField("company_code")
    private String companyCode;

}
