package com.cusc.nirvana.user.rnr.mg.dao.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.common.po.BaseRnrPO;
import lombok.Data;

/**
 * 组织所拥有的车卡关系实体类
 */
@TableName("org_sim_vehicle_rel")
@Data
public class OrgSimVehicleRelPO extends BaseRnrPO {
    /**业务uuid*/
    @TableField("uuid")
    private String uuid;

    /**组织uuid*/
    @TableField("org_uuid")
    private String orgUuid;

    /**SIM卡的iccid*/
    @TableField("iccid")
    private String iccid;

    /**车辆vin号*/
    @TableField("vin")
    private String vin;
    /**车辆的一个号  郝岩加  小鹏 */
    @TableField("msisdn")
    private String msisdn;
    /**绑定状态  郝岩加  小鹏 */
    @TableField("binding_status")
    private Integer bindingStatus;
    /**运营商编码  郝岩加  小鹏 */
    @TableField("mb_code")
    private String mbCode;
}