package com.cusc.nirvana.user.rnr.mg.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.common.po.BaseRnrPO;
import lombok.Data;

@TableName("excel_import_file_history")
@Data
public class SimFileHistoryPO extends BaseRnrPO {

    /**
     * 业务UUID
     */
    @TableField("uuid")
    private String uuid;

    /**
     * 组织业务ID
     */
    @TableField("org_uuid")
    private String orgUuid;

    /**
     * 文件名称
     */
    @TableField("file_name")
    private String fileName;

    /**
     * 是否校验通过
     */
    @TableField("verification")
    private Integer verification;

    /**
     * 异常信息
     */
    @TableField("error_info")
    private String errorInfo;

    /**
     * 批次
     */
    @TableField("batch_no")
    private String batchNo;

    /**
     * 总行数
     */
    @TableField("total_count")
    private Integer totalCount;

    /**
     * 错误行数
     */
    @TableField("error_count")
    private Integer errorCount;

    /**
     * 0-导入中 1-导入成功
     */
    @TableField("status")
    private Integer status;

    /**
     * 文件类型,0:sim卡，1:车卡关系
     */
    @TableField("file_type")
    private Integer fileType;

    /**
     * 文件存储地址
     */
    @TableField("file_addr")
    private String fileAddr;

    /**
     * 导入错误文件地址
     */
    @TableField("error_file_addr")
    private String errorFileAddr;

    /**导入方式,0-新增 1-修改*/
    @TableField("import_type")
    private Integer importType;

    /**
     * 业务描述
     */
    @TableField("description")
    private String description;

}
