package com.cusc.nirvana.user.rnr.mg.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.*;

/**
 * Description: 文件base64实体
 * <br />
 * CreateDate 2022-03-04 17:05:35
 *
 * @author yuyi
 **/
@Data
@ApiModel("文件字符串上传")
public class FileEntityBase64DTO implements Serializable {
    private static final long serialVersionUID = -267145861320351989L;

    @ApiModelProperty("文件base64字符串")
    private String base64;

    @ApiModelProperty("文件名称")
    private String fileName;

    @ApiModelProperty("文件业务id")
    private String uuid;
}
