package com.cusc.nirvana.user.rnr.mg.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author jiamj
 * @date 2021/11/4
 */
@Data
@ApiModel("获取文件访问url")
public class FileUrlDTO {

    @ApiModelProperty("文件uuid")
    @NotBlank(message = "文件uuid不能为空")
    private String uuid;
    @ApiModelProperty("url有效期（针对私有文件）")
    private Long expire;
}
