package com.cusc.nirvana.user.rnr.mg.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.mg.dto.EnterpriseVerifyDetailDTO;
import com.cusc.nirvana.user.rnr.mg.dto.RnrOrderDTO;

/**
 * 企业实名认证服务接口
 */
public interface IEnterpriseVerifyService {

    /**
     * 查询企业详情
     *
     * @return 实例对象
     */
    Response<EnterpriseVerifyDetailDTO> getEnterpriseDetail(RnrOrderDTO rnrOrderDTO);


}
