package com.cusc.nirvana.user.rnr.notice.constants;

/**
 * Description: 通知url类型
 * <br />
 * CreateDate 2021-10-28 12:49:12
 *
 * @author yuyi
 **/
public enum NoticeUrlTypeEnum {

    SERVER_NAME(1, "服务名调用"),
    IP(2, "ip调用");

    private int code;
    private String name;

    NoticeUrlTypeEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }

    public static NoticeUrlTypeEnum getEnumByCode(int code) {
        for (NoticeUrlTypeEnum sys : NoticeUrlTypeEnum.values()) {
            if (sys.getCode() == code) {
                return sys;
            }
        }
        return null;
    }

    public int getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

}
