package com.cusc.nirvana.user.rnr.notice.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.*;
import java.util.Date;

/**
 * <p>
 * notice的PO基类
 * </p>
 *
 * @author yuyi
 * @since 2021-10-21
 */
@Data
public class RnrNoticeDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "数据库主键")
    private Long id;

    @ApiModelProperty(value = "业务主键")
    private String uuid;

    @ApiModelProperty(value = "逻辑删除（0-未删除，1-已删除）")
    private Integer isDelete;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String creator;
}
