package com.cusc.nirvana.user.rnr.workorder.dto;

import lombok.Builder;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author stayAnd
 * @date 2022/3/30
 */
@Data
@Accessors(chain = true)
public class WorkOrderInfoDTO {

	/**
	 * 创建工单时返回的工单编号  用于关联业务信息
	 */
	private String workOrderNo;

	/**
	 * 工单下面的任务编号 用于操作工单认领、审核
	 */
	private String taskNo;


	/**
	 * 租户id
	 */
	private String tenantUuid;


	/**
	 * 工单绑定的业务对象标识
	 */
	private String businessObjectId;


	/**
	 * 工单定义编码
	 */
	private String workOrderKey;

	/**
	 * 应用标识
	 */
	private String applicationUuid;

}
