package com.cusc.nirvana.user.rnr.workorder.dto;

import lombok.Data;

/**
 * @author stayAnd
 * @date 2022/3/30
 */
@Data
public class WorkOrderReviewDTO {

	/**
	 * 租户id
	 */
	private String tenantUuid;

	/**
	 * 应用标识
	 */
	private String applicationUuid;


	/**
	 * 任务编号
	 */
	private String taskNo;

	/**
	 * 1-审核通过，2-审核不通过
	 */
	private Integer auditResult;

	/**
	 * 审核意见
	 */
	private String auditNote;

	/**
	 * 审核人
	 */
	private String reviewUserId;
}
