package com.cusc.nirvana.user.rnr.common.constants;

/**
 * Description: redis相关常量类
 * <br />
 * CreateDate 2021-11-03 20:36
 *
 * @author yuyi
 **/
public class RedisConstant {

    //认证方式前缀key
    public static final String AUTHENTICATION_WAY = "CT:RNR:AUTHENTICATION:WAY:";

    //实名公共配置前缀key
    public static final String RNR_COMMON_CONFIG = "CT:RNR:COMMON:CONFIG:";

    //实名路由键前缀key
    public static final String RNR_ROUTING_KEY = "CT:RNR:ROUTING:KEY:";

    //实名uid前缀key
    public static final String RNR_UID_KEY = "CT:RNR:UID:ROUTING_KEY";

    //实名业务锁前缀key
    public static final String RNR_LOCK = "CT:RNR:LOCK:";

    public static final String RNR_CARD_NOTICE_LOCK = "CT:RNR:CARD:NOTICE:";

    //实名业务锁时长（秒）
    public static final Integer RNR_LOCK_TIME = 3;

    //实名通知配置前缀key
    public static final String RNR_NOTICE_CONFIG = "CT:RNR:NOTICE:CONFIG:";

    //实名工单配置前缀key
    public static final String RNR_WORK_ORDER_CONFIG = "CT:RNR:WORK_ORDER:CONFIG";

    //工单分派前缀key
	public static final String RNR_WORK_ORDER_ASSIGN_CONFIG = "CT:RNR:WOR_ORDER_ASSIGN:CONFIG:";

	//实名统计Key
    public static final String RNR_CARD_STATISTICS_KEY = "CT:RNR:CARD_STATISTICS:KEY:";

    public static final String RNR_MG_ASYNCORDER_LOCK = "CT:RNR:LOCK:MG:ASYNCORDER:";

    public static final int RNR_MG_ASYNCORDER_LOCK_EXPIRE = 90000;
}
