package com.cusc.nirvana.user.rnr.mg.controller;


import com.cusc.nirvana.user.rnr.mg.dto.RnrOrderDTO;
import com.cusc.nirvana.user.rnr.mg.service.IMqSendService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.cusc.nirvana.common.result.Response;

@Slf4j
@RestController
@RequestMapping("/changeOrUnbin")
public class ChangeOrUnbindIccidsController {

    @Autowired
    private IMqSendService mqSendService;

    @PostMapping("/sendMQ")
    public Response sendMQ(@RequestBody RnrOrderDTO bean){
        mqSendService.sendBindUnbindExchangeMq(bean.getUuid());
        return Response.createSuccess("MQ发送成功");
    }
}
