package com.cusc.nirvana.user.rnr.mg.converter;

import com.cusc.nirvana.user.rnr.mg.dao.entity.MgRnrLiaisonInfoPO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrLiaisonInfoDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 实名联系人信息表(MgRnrLiaisonInfo)表服务接口
 *
 * @author yuy336
 * @since 2022-03-03 19:59:05
 */
@Mapper
public interface MgRnrLiaisonInfoConverter {

    MgRnrLiaisonInfoConverter INSTANCE = Mappers.getMapper(MgRnrLiaisonInfoConverter.class);

    /**
     * Description: do 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    MgRnrLiaisonInfoDTO poToDto(MgRnrLiaisonInfoPO bean);

    /**
     * Description: dto 转 do
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    MgRnrLiaisonInfoPO dtoToPo(MgRnrLiaisonInfoDTO bean);

    /**
     * Description: do list 转 dto list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<MgRnrLiaisonInfoDTO> poListToDtoList(List<MgRnrLiaisonInfoPO> list);
}
