package com.cusc.nirvana.user.rnr.mg.converter;

import com.cusc.nirvana.user.rnr.mg.dao.entity.MgRnrTaskPO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrTaskDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * (MgRnrTask)表服务接口
 *
 * @author makejava
 * @since 2022-09-24 11:26:05
 */
@Mapper
public interface MgRnrTaskConverter {

    MgRnrTaskConverter INSTANCE = Mappers.getMapper(MgRnrTaskConverter.class);

    /**
     * Description: do 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    MgRnrTaskDTO poToDto(MgRnrTaskPO bean);

    /**
     * Description: dto 转 do
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    MgRnrTaskPO dtoToPo(MgRnrTaskDTO bean);

    /**
     * Description: do list 转 dto list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<MgRnrTaskDTO> poListToDtoList(List<MgRnrTaskPO> list);
}
