package com.cusc.nirvana.user.rnr.mg.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cusc.nirvana.user.rnr.mg.dao.entity.MgRnrFilePO;

import java.util.List;

/**
 * 实名图片信息表(MgRnrImage)表数据库访问层
 *
 * @author yuy336
 * @since 2022-01-26 13:49:12
 */
public interface MgRnrFileDao extends BaseMapper<MgRnrFilePO> {

    /**
     * Description: 批量新增图片信息
     * <br />
     * CreateDate 2022-03-04 11:27:51
     *
     * @author yuyi
     **/
    Integer addRnrFileBatch(List<MgRnrFilePO> beanList);

}

