package com.cusc.nirvana.user.rnr.mg.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cusc.nirvana.user.rnr.mg.dao.entity.MgRnrOperationLogPO;

import java.util.List;

/**
 * 实名操作日志，包含rnr_info_oplog(MgRnrOperationLog)表数据库访问层
 *
 * @author yuy336
 * @since 2022-03-04 15:07:41
 */
public interface MgRnrOperationLogDao extends BaseMapper<MgRnrOperationLogPO> {

    /**
     * Description: 批量新增实名日志信息
     * <br />
     * CreateDate 2022-03-04 11:27:51
     *
     * @author yuyi
     **/
    Integer addRnrOperationLogBatch(List<MgRnrOperationLogPO> beanList);
}

