package com.cusc.nirvana.user.rnr.mg.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.*;
import java.util.List;

/**
 * @author jiamj
 * @date 2021/11/3
 */
@Data
@ApiModel("文件下载请求")
public class FileBatchDownloadDTO implements Serializable {
    private static final long serialVersionUID = -1406102961598468694L;

    @ApiModelProperty("文件uuid")
    private List<String> uuids;

    @ApiModelProperty(value = "文件名称", hidden = true)
    private String fileName;
}
