package com.cusc.nirvana.user.rnr.mg.service;

import com.cusc.nirvana.user.rnr.mg.dto.MgCardNoticeDTO;
import com.cusc.nirvana.user.rnr.workorder.dto.WorkOrderReviewCallBackRequestDTO;

import java.util.List;

/**
 * 实名卡通知操作接口
 *
 * @author yubo
 * @since 2022-04-16 14:44
 */
public interface IMgRnrCardNoticeService {

    void sendCardNotices();
    /**
     * 发送实名卡操作通知
     *
     * @param dto
     */
    void sendCardNotice(List<MgCardNoticeDTO> dto);

    void sendCardNoticeByOrderId(String orderId);

    void asyncOrderExecutor(WorkOrderReviewCallBackRequestDTO callBackRequestDTO);

}
