package com.cusc.nirvana.user.rnr.notice.dto;

import lombok.Data;

import java.io.*;

/**
 * 实名三方通知请求DTO
 *
 * @author yuy336
 * @since 2022-03-31 15:04:53
 */
@Data
public class ThirdPartyNoticeReqDTO implements Serializable {

    private static final long serialVersionUID = 812014839600935383L;

    /**
     * 车辆vin
     */
    private String vin;

    /**
     * Iccid
     */
    private String iccid;

    /**
     * 实名状态 0:实名成功; 1:实名不成功;
     */
    private String rnrStatus;

    /**
     * 实名描述，当实名状态不为0时，描述失败原因
     */
    private String rnrComment;
}

