package com.cusc.nirvana.user.rnr.workorder.dto;

import com.cusc.nirvana.user.rnr.mg.common.BaseRnrMgPageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author stayAnd
 * @date 2022/3/30
 * 工单查询dto
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class WorkOrderQueryRequestDTO extends BaseRnrMgPageDTO {
	/**
	 * 租户id
	 */
	private String tenantUuid;

	/**
	 * 应用标识
	 */
	private String applicationUuid;

	/**
	 * 工单定义编码
	 */
	private String workOrderKey;

	/**
	 * 认领人的用户id
	 */
	private String claimUserId;

}
