package com.cusc.nirvana.user.rnr.workorder.handler;

import com.cusc.nirvana.user.rnr.workorder.constants.WorkOrderTypeEnum;
import com.cusc.nirvana.user.rnr.workorder.dto.WorkOrderReviewCallBackRequestDTO;

/**
 * @author stayAnd
 * @date 2022/3/31
 */
public interface WorkOrderCallBackHandler {

	/**
	 * 工单认领或者指派后的回调
	 * @param workNo 工单号
	 */
	void claimAssignWorkOrder(String workNo);

	/**
	 * 工单审核回调
	 * @param dto
	 */
	void reviewCallBack(WorkOrderReviewCallBackRequestDTO dto);
}
